import { StorageBackendName } from '@cbjsdev/shared';
export type ApiQueryIndexStatus = {
    storageMode: StorageBackendName;
    partitionMap: Record<string, number[]>;
    numPartition: number;
    partitioned: boolean;
    instId: bigint;
    /**
     * List of host in the format "hostname:port"
     */
    hosts: string[];
    stale: boolean;
    /**
     * From 0 to 100
     */
    progress: number;
    /**
     * Query statement to create the index
     */
    definition: string;
    status: 'Ready' | (string & NonNullable<unknown>);
    collection: string;
    scope: string;
    bucket: string;
    replicaId: number;
    numReplica: number;
    /**
     * Date time ISO or "NA" if never.
     */
    lastScanTime: 'NA' | (string & NonNullable<unknown>);
    indexName: string;
    index: string;
    id: bigint;
};
